Bug 828626 - Review Request: saslwrapper - Ruby and Python wrappers for the Cyrus SASL library
Review Request: saslwrapper - Ruby and Python wrappers for the Cyrus SASL lib...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kalpa Welivitigoda
Fedora Extras Quality Assurance
:
: 554461 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 00:28 EDT by Dan Callaghan
Modified: 2012-07-26 02:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 02:58:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
callkalpa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2012-06-05 00:28:45 EDT
Spec URL: http://fedorapeople.org/~dcallagh/saslwrapper/saslwrapper.spec
SRPM URL: http://fedorapeople.org/~dcallagh/saslwrapper/saslwrapper-0.16-1.fc17.src.rpm
Description: A simple wrapper for Cyrus SASL that permits easy binding into
scripting languages. The qpid bindings use this to provide SASL authentication (e.g. Kerberos).
Fedora Account System Username: dcallagh
Comment 1 Kalpa Welivitigoda 2012-07-02 23:13:51 EDT
Few issues are listed at the bottom


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: The package did not built BR could therefore not be checked or the
     package failed to build because of missing BR
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[ ]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[ ]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[ ]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[!]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Architecture_Support
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: The package did not built BR could therefore not be checked or the
     package failed to build because of missing BR
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


Generated by fedora-review 0.1.3
External plugins:
Comment 2 Dan Callaghan 2012-07-03 18:29:22 EDT
I don't think there are any missing BuildRequires because this builds fine in Koji for f16 and f17:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4217035
http://koji.fedoraproject.org/koji/taskinfo?taskID=4217042

Kalpa, can you please post some details about the build failure you saw, so we can figure out what's going wrong? Take a look in build.log and root.log in the mock buildroot.
Comment 3 Kalpa Welivitigoda 2012-07-06 12:35:01 EDT
Dan, it fedora-review tool that is complaining, I did a scratch build and that builds fine. I think we are good to go.
Comment 4 Kalpa Welivitigoda 2012-07-11 13:24:44 EDT
We are good to go.

This package is APPROVED. Nice work Dan
Comment 5 Dan Callaghan 2012-07-11 20:16:30 EDT
New Package SCM Request
=======================
Package Name: saslwrapper
Short Description: Ruby and Python wrappers for the Cyrus SASL library
Owners: dcallagh
Branches: f16 f17
InitialCC:
Comment 6 Gwyn Ciesla 2012-07-14 22:35:33 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-07-15 19:29:35 EDT
saslwrapper-0.16-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/saslwrapper-0.16-1.fc17
Comment 8 Fedora Update System 2012-07-15 19:31:22 EDT
saslwrapper-0.16-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/saslwrapper-0.16-1.fc16
Comment 9 Dan Callaghan 2012-07-17 18:41:55 EDT
saslwrapper is now available in updates-testing for F16 and F17.
Comment 10 Dan Callaghan 2012-07-17 18:42:21 EDT
*** Bug 554461 has been marked as a duplicate of this bug. ***
Comment 11 Fedora Update System 2012-07-25 23:55:08 EDT
saslwrapper-0.16-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-07-25 23:55:51 EDT
saslwrapper-0.16-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.